Get organization by code
GET
/api/organization/get-for-code
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Get, RequestUri = new Uri("https://api.eventpoint.io/api/organization/get-for-code"), Headers = { { "x-api-key", "<x-api-key>" }, },};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}const url = 'https://api.eventpoint.io/api/organization/get-for-code';const options = {method: 'GET', headers: {'x-api-key': '<x-api-key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.eventpoint.io/api/organization/get-for-code \ --header 'x-api-key: <x-api-key>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”code
string
The code.
Responses
Section titled “Responses”OK
object
id
string format: uuid
created
string format: date-time
modified
string format: date-time
etag
null | string
code
null | string
name
null | string
description
null | string
url
null | string
userId
string format: uuid
flagLevel
isLocked
boolean
enforceDomain
boolean
domain
null | string
address1
null | string
address2
null | string
city
null | string
state
null | string
country
null | string
postalCode
null | string
requireIdenityProvider
boolean
identityProviderName
null | string
imageUrl
null | string
imageAssetId
null | string format: uuid
style
object
hasStyle
boolean
primaryColor
null | string
secondaryColor
null | string
backgroundColor
null | string
textColor
null | string
contrastColor
null | string
fontFamily
null | string
secondaryContrastColor
null | string
customUrl
null | string
latitude
null | number | string format: double
longitude
null | number | string format: double
parentId
null | string format: uuid
topLevelId
string format: uuid
profileImages
object
defaultOriginal
null | string
defaultLarge
null | string
defaultMedium
null | string
defaultSmall
null | string
thumbnailSmall
null | string
thumbnailLarge
null | string
object
id
string format: uuid
created
string format: date-time
modified
string format: date-time
etag
null | string
code
null | string
name
null | string
description
null | string
url
null | string
userId
string format: uuid
flagLevel
isLocked
boolean
enforceDomain
boolean
domain
null | string
address1
null | string
address2
null | string
city
null | string
state
null | string
country
null | string
postalCode
null | string
requireIdenityProvider
boolean
identityProviderName
null | string
imageUrl
null | string
imageAssetId
null | string format: uuid
style
object
hasStyle
boolean
primaryColor
null | string
secondaryColor
null | string
backgroundColor
null | string
textColor
null | string
contrastColor
null | string
fontFamily
null | string
secondaryContrastColor
null | string
customUrl
null | string
latitude
null | number | string format: double
longitude
null | number | string format: double
parentId
null | string format: uuid
topLevelId
string format: uuid
profileImages
object
defaultOriginal
null | string
defaultLarge
null | string
defaultMedium
null | string
defaultSmall
null | string
thumbnailSmall
null | string
thumbnailLarge
null | string
Example
{ "flagLevel": "OK"}object
id
string format: uuid
created
string format: date-time
modified
string format: date-time
etag
null | string
code
null | string
name
null | string
description
null | string
url
null | string
userId
string format: uuid
flagLevel
isLocked
boolean
enforceDomain
boolean
domain
null | string
address1
null | string
address2
null | string
city
null | string
state
null | string
country
null | string
postalCode
null | string
requireIdenityProvider
boolean
identityProviderName
null | string
imageUrl
null | string
imageAssetId
null | string format: uuid
style
object
hasStyle
boolean
primaryColor
null | string
secondaryColor
null | string
backgroundColor
null | string
textColor
null | string
contrastColor
null | string
fontFamily
null | string
secondaryContrastColor
null | string
customUrl
null | string
latitude
null | number | string format: double
longitude
null | number | string format: double
parentId
null | string format: uuid
topLevelId
string format: uuid
profileImages
object
defaultOriginal
null | string
defaultLarge
null | string
defaultMedium
null | string
defaultSmall
null | string
thumbnailSmall
null | string
thumbnailLarge
null | string
Example
{ "flagLevel": "OK"}Forbidden
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Not Found
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}